<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable" style="background-image: url('images/alltable_bg.gif'); background-position: top left;">
        <tr>
        <td align="center">
        	<table cellpadding="0" cellspacing="0" border="0" height="38">
        	<tr>
        	<td><img src="images/menu_left.png" width="10" height="38" border="0" alt=""/></td>
        	<td class="menu-bg" align="center" style="background-image: url('images/menu_bg.png'); background-position: top left; background-repeat: repeat-x;">
        		<div style="width:628px; height:0px;"><spacer/></div>
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        	</td>
        	<td><img src="images/menu_right.png" width="10" height="38" border="0" alt=""/></td>
        	</tr>
        	</table>

        	<table cellpadding="0" cellspacing="0" border="0">
        	<!--visual /-->
        	<tr>
        	<td height="202"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="visual" style="background-image: url('images/header.jpg'); background-position: top left; background-repeat: no-repeat">
        		<div style="width:642px; height:0px;"><spacer/></div>
        		<table cellpadding="0" cellspacing="0" border="0" width="150" style="margin-left:10px;">
        		<tr>
        		<td align="center" style="padding-right:3px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        		</tr>
        		<tr>
        		<td align="center">
        			<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	<!--/ visual-->
        	<!--2ndmenu /-->
        	<tr>
        	<td height="38"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="second-bg" style="padding:0px 20px; background-image: url('images/second_bg.gif'); background-position: top left; background-repeat: repeat-x" align="center">
        		<!--2ndmenu /-->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!--/ 2ndmenu-->
        	</td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	<!--/ 2ndmenu-->
        	</table>

        	<!--thatext /-->
        	<table cellpadding="0" cellspacing="0" border="0" width="622">
        	<tr>
        	<td height="15"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td class="textarea">
        		<div style="width:622px; height:0px;"><spacer/></div>
        	</td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>

        	<tr>
        	<td height="12"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"></td>
        	<td class="text-bg-top" style="background-image: url('images/text_top.gif'); background-position: top left; background-repeat: no-repeat;"></td>
        	<td class="textarea"></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>

        	<tr>
        	<td height="10"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"></td>
        	<td class="text-bg" style="padding-left:14px;">
        		<table cellpadding="0" cellspacing="0" border="0" height="33">
        		<tr>
        		<td class="pageheader-left" style="background-image: url('images/pageheader_left.gif'); background-position: top left; background-repeat: no-repeat;"><div style="width:13px; height:0px;"><spacer/></div></td>
        		<td class="pageheader" style="background-image: url('images/pageheader_bg.gif'); background-position: top left; background-repeat: repeat-x;">
        			<div style="width:149px; height:0px;"><spacer/></div>
        			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        		</td>
        		<td class="pageheader-mark" style="background-image: url('images/pageheader_mark.gif'); background-position: top left; background-repeat: no-repeat;"><div style="width:37px; height:0px;"><spacer/></div></td>
        		</tr>
        		</table>
        	</td>
        	<td class="textarea"></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	</table>

        	<table cellpadding="0" cellspacing="0" border="0" width="622">
        	<tr>
        	<td height="0"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td class="text-bg">
        		<div style="width:622px; height:0px;"><spacer/></div>
        	</td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	<tr>
        	<td><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td class="thatext" valign="top">
        		<xsl:apply-templates select="PAGE-CONTENT"/>
        	</td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	</table>

        	<table cellpadding="0" cellspacing="0" border="0" width="622">
        	<tr>
        	<td height="12"><img src="images/shadow_left.png" width="3" height="100%" border="0" alt=""/></td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td class="text-bg-bottom" style="background-image: url('images/text_bottom.gif'); background-position: top left; background-repeat: no-repeat;">
        		<div style="width:622px; height:0px;"><spacer/></div>
        	</td>
        	<td class="textarea"><div style="width:10px; height:0px;"><spacer/></div></td>
        	<td><img src="images/shadow_right.png" width="3" height="100%" border="0" alt=""/></td>
        	</tr>
        	</table>
        	<!--/ thatext-->

        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td><img src="images/copy_left.png" width="10" height="40" border="0" alt=""/></td>
        	<td align="center">
				<table cellpadding="0" cellspacing="0" border="0" style="width: 628px; height: 40px;">
					<tr>
						<td height="100%" class="copy"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
					</tr>
					<tr>
						<td><img src="images/shadow_bottom.png" width="100%" height="4" border="0" alt=""/></td>
					</tr>
				</table>
        	</td>
        	<td><img src="images/copy_right.png" width="10" height="40" border="0" alt=""/></td>
        	</tr>
        	</table>
        </td>
        </tr>
        </table>

        </body>
		</html>
	</xsl:template>


	<!--TOP-MENU-->
				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0">
   		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
       	</tr>
       	</table>
	</xsl:template>

	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        		<table cellpadding="0" cellspacing="0" border="0" height="38">
        		<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
        		</tr>
        		</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        		<table cellpadding="0" cellspacing="0" border="0" height="38">
        		<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
        		</tr>
        		</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
