<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" class="alltable" style="background-image: url('images/top.jpg'); background-repeat: no-repeat;">
        <tr height="42">
        <td colspan="2" style="padding-left:40px;">
        	<!-- CALL TOP-MENU -->
        	<xsl:call-template name="TOP-MENU"/>
        </td>
        </tr>

        <tr height="202">
        <td colspan="2" style="padding-left:24px;">
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr align="center">
        	<td style="padding:0px 2px 4px 0px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        	</tr>
        	<tr>
        	<td>
        		<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        		<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="100%">
        <td valign="top" style="padding-bottom:111px;">
        	<div style="width:208px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="second-bgrpt" style="background-image: url('images/second_bgrpt.gif'); background-repeat: repeat-y;">
        	<tr>
        	<td align="center" style="background-image: url('images/top_left.jpg'); background-repeat: no-repeat;">
        		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="231">
        		<tr>
        		<td class="second-bg" valign="top" style="background-image: url('images/second_bg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
        		<!--2ndmenu /-->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!--/ 2ndmenu-->
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	</table>
        </td>
        <td valign="top" class="text-bg" style="background-image: url('images/text_bg.gif'); background-position: top right; background-repeat: repeat-y;">
        	<div style="width:572px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" style="background-image: url('images/top_right.jpg'); background-repeat: no-repeat;">
        	<tr height="44">
        	<td class="pageheader" style="background-image: url('images/pageheader_mark.gif'); background-repeat: no-repeat;">
        		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	<tr>
        	<td class="thatext" height="300" valign="top">
        		<xsl:apply-templates select="PAGE-CONTENT"/>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="119">
        <td>
        	<div style="position:relative; z-index:9000; margin-top:-111px;">
        	<table cellpadding="0" cellspacing="0" border="0" width="208" height="230">
        	<tr>
        	<td style="background-image: url('images/visual_left.jpg'); background-position: bottom left; background-repeat: no-repeat;">
        	</td>
        	</tr>
        	</table>
        	</div>
        </td>
        <td style="background-image: url('images/visual_right.jpg'); background-repeat: no-repeat;"></td>
        </tr>

        <tr height="49">
        <td colspan="2" align="center" style="background-image: url('images/visual_bottom.jpg'); background-repeat: no-repeat;">
        	<!--bottommenu /-->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        	<!--/ bottommenu-->
        </td>
        </tr>

        <tr height="54">
        <td colspan="2" class="copy" align="center" style="background-image: url('images/copy_right.gif'); background-position: top right; background-repeat: no-repeat;">
        	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        </td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>
	</xsl:template>


	<!--TOP-MENU-->
				
	<xsl:template name="TOP-MENU">
       	<table cellpadding="0" cellspacing="0" border="0" height="42">
       	<tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
       	</tr>
       	</table>
	</xsl:template>

	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
       	<table cellpadding="0" cellspacing="0" border="0">
       	<tr>
			<xsl:apply-templates select="MENU" mode="bottom"/>			
       	</tr>
       	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		        	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		        	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </xsl:when>
                <xsl:otherwise>
		        	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
		       	<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"></td>
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
