<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" class="alltable" style="width: 100%; height: 100%; background-image: url('images/alltable_bg.gif'); background-repeat: repeat-x;">
			<tr>
				<td>
			        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						<tr>
							<td height="114" style="background-image: url('images/top_bg.jpg'); background-repeat: no-repeat;">
								<table cellpadding="0" cellspacing="0" border="0" height="114">
									<tr>
							        	<td>
							        		<div style="width:282px; height:0px;"><spacer/></div>
							        		<table cellpadding="0" cellspacing="0" border="0">
												<tr>
													<td height="45" style="padding:0px 0px 4px 90px" valign="bottom"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
												</tr>
												<tr>
									        		<td style="padding-left:51px;">
									        			<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
									        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
									        		</td>
												</tr>
							        		</table>
							        	</td>
							        	<td style="padding-top:40px;">
							        		<!-- CALL TOP-MENU -->
							        		<xsl:call-template name="TOP-MENU"/>
							        	</td>
									</tr>
								</table>
							</td>
						</tr>
				        <tr>
							<td>
								<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
									<tr>
								        <td class="text-bgrpt" valign="top" style="background-image: url('images/text_bgrpt.gif'); background-repeat: repeat-y;">
								        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="486" class="text-bg" style="background-image: url('images/text_top.jpg'); background-repeat: no-repeat;">
												<tr>
													<td height="134" class="pageheader">
														<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
													</td>
												</tr>
												<tr>
										        	<td class="thatext" width="390">
										        		<xsl:apply-templates select="PAGE-CONTENT"/>
										        	</td>
												</tr>
											</table>
											<div style="width:505px; height:0px;"><spacer/></div>
								        </td>
								        <td valign="top" style="width: 100%; padding-top:317px; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
								        	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="second-bgrpt" style="background-image: url('images/second_bgrpt.gif'); background-repeat: repeat-y;">
												<tr>
													<td>
														<div style="width:275px; height:0px;"><spacer/></div>
										        		<!--2ndmenu /-->
										        		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/second_bg.jpg'); background-repeat: no-repeat;">
										        			<tr>
																<td>
																	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
													        			<!-- CALL SUB-MENU -->
													        			<xsl:call-template name="SUB-MENU">
													        				<xsl:with-param name="pageID" select="@ID"/>
													        			</xsl:call-template>	
																	</table>
																	<div style="width:275px; height:130px;"><spacer/></div>						
																</td>
															</tr>
															<tr><td height="100%"></td></tr>
														</table>
										        		<!--/ 2ndmenu-->
													</td>
													<td width="100%" style="background-image: url('images/second_bgrpt_right.gif'); background-repeat: repeat-x;"></td>
												</tr>
								        	</table>
											<div style="width:275px; height:0px;"><spacer/></div>
								        </td>
									</tr>
								</table>
							</td>
				        </tr>
				        <tr>
							<td class="copy" height="25" align="center" style="background-image:url(images/text_bottom.gif); background-position: top left; background-repeat: no-repeat;">
								<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
							</td>
				        </tr>
						<tr><td height="49"></td></tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html>

	</xsl:template>


	<!--TOP-MENU-->
				
	<xsl:template name="TOP-MENU">
  		<table cellpadding="0" cellspacing="0" border="0">
  		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
       	</tr>
       	</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
