<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff" background="images/bg.gif">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td width="29" valign="top" background="images/leftbg.jpg"><img src="images/lefttop.jpg" width="29" height="204" /></td>
    <td width="282" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header.jpg" width="282" height="362" />
      <table border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
      </table></td>
    <td height="100%" valign="top" bgcolor="#FFFFFF">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="149" background="images/bg.gif">
		<table width="400" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
          </tr>
          <tr>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="50" align="center" valign="middle" background="images/menubg.jpg">
		<table border="0" cellpadding="0" cellspacing="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
            <td width="31"><img src="images/titlebullet.jpg" width="31" height="31" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" valign="top">
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>

</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="35" valign="top" background="images/righbg.jpg"><img src="images/righttop.jpg" width="35" height="204" /></td>
  </tr>
  
  <tr>
    <td><img src="images/leftb.jpg" width="29" height="234" /></td>
    <td background="images/bbg.jpg"><img src="images/bottoml.jpg" width="282" height="234" /></td>
    <td background="images/bbg.jpg"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><br/>
          <br/>
          <br/>
          <br/>
          <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td></td>
            </tr>
            <tr>
              <td align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
  </td>
            </tr>
        </table></td><td width="217"><img src="images/bottomr.jpg" width="217" height="234" /></td>
      </tr>
    </table></td>
    <td><img src="images/rightb.jpg" width="35" height="234" /></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td rowspan="2" bgcolor="#FFFFFF"><img src="images/smenubullet.jpg" width="40" height="26" /></td>
<td height="25" bgcolor="#FFFFFF" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td rowspan="2" bgcolor="#FFFFFF"><img src="images/smenubullet.jpg" width="40" height="26" /></td>
<td height="25" bgcolor="#FFFFFF" class="submenu"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
        <tr>
          <td height="1" bgcolor="#DEEDCC" class="submenu"><img src="images/blank.gif" width="100" height="1" /></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

              <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

              <td class="bmenua"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>

           </xsl:when>
           <xsl:otherwise>

              <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

              <td class="iconfoot"><img src="images/footer_bullet.gif" width="8" height="8"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
