<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="bg">
        	<TR>
        		<TD colspan="2" width="780" height="214" valign="top" style="background-image: url('images/tbg.jpg'); background-repeat: no-repeat;">
					<table cellpadding="0" cellspacing="0" width="100%" height="100%">
					   	<tr><td colspan="3" height="50%"></td></tr>
						<tr>
							<td width="246"><div style="width:246px; height:1px;"><spacer type="block" width="246" height="1"/></div></td>
							<td width="100%">
							<!-- LOGO -->
			        			<table cellpadding="0" cellspacing="0">
			        				<tr>
			        					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			        					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			        				</tr>
			        				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			        			</table>
			        		<!-- END LOGO -->
			        		<!-- MENU -->
			        			<!-- CALL TOP-MENU -->
			        			<xsl:call-template name="TOP-MENU"/>
			        		<!-- END MENU -->
							</td>
							<td width="10"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
						</tr>
						<tr><td colspan="3" height="50%"></td></tr>
					</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="238">
        			<table cellpadding="0" cellspacing="0" border="0">
        				<tr>
        					<td><img src="images/lbg.jpg"/></td>
        					<td><xsl:call-template name="TOP"/></td>
        					<td width="100%" style="background-image: url('images/rbg.jpg'); background-repeat: no-repeat;" valign="top">
        					<!-- SUBMENU -->
        						<!-- CALL SUB-MENU -->
        						<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					<!-- END SUBMENU -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD width="281" height="100%" valign="bottom" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat; ">
        		<!-- FOOTER -->
        			<div style="margin: 0px 20px 40px 20px;" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        		<TD valign="top" width="499" height="100%" style="background-image: url('images/bg.jpg'); background-repeat: no-repeat;">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="440" align="center">
        				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="440">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="40"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin: 25px 5px 5px 0px;">
   			<tr>
   				<td width="7"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="205" align="right" style="margin-top: 40px;">
   					<tr><td colspan="2"></td><td height="1" class="submenu-hr"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="205" align="right" style="margin-top: 40px;">
   					<tr><td colspan="2"></td><td height="1" class="submenu-hr"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
